<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Generated by Apache Maven Doxia at Sep 27, 2012 ( $Revision$ ) -->
<!-- $HeadURL: https://svn.apache.org/repos/asf/httpcomponents/maven-skin/trunk/src/main/resources/META-INF/maven/site.vm $ -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>Project Dependencies</title>
    <style type="text/css" media="all">
      @import url("./css/maven-base.css");
      @import url("./css/maven-theme.css");
      @import url("./css/site.css");
    </style>
    <link rel="stylesheet" href="./css/print.css" type="text/css" media="print" />
    <meta name="Date-Revision-yyyymmdd" content="20120927" />
    <meta http-equiv="Content-Language" content="en" />
        
        </head>
  <body class="composite">
    <div id="banner">
                        <a href="http://www.apache.org/" id="bannerLeft">
                                        <img src="http://www.apache.org/images/asf_logo_wide.gif" alt="Apache" />
                </a>
                                            <a href="../" id="bannerRight">
                                                <img src="../images/logos/httpcomponents.png" alt="HttpComponents" />
                </a>
            <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
            
        
                <div class="xleft">
        <span id="publishDate">Last Published: 2012-09-27</span>
                  &nbsp;| <span id="projectVersion">Version: 4.0-beta3</span>
                      </div>
            <div class="xright">                    <a href="http://www.apache.org/" class="externalLink" title="Apache">Apache</a>
            |
                        <a href="../index.html" title="HttpComponents">HttpComponents</a>
              
        
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
             
        
                                <h5>HttpComponents</h5>
                  <ul>
                  <li class="none">
                          <a href="../../index.html" title="Home">Home</a>
            </li>
                  <li class="none">
                          <a href="http://www.apache.org/licenses/" class="externalLink" title="License">License</a>
            </li>
                  <li class="none">
                          <a href="../../downloads.cgi" title="Download">Download</a>
            </li>
                  <li class="none">
                          <a href="../../mail.html" title="Mailing Lists">Mailing Lists</a>
            </li>
                  <li class="none">
                          <a href="../../user-docs.html" title="User documents">User documents</a>
            </li>
                  <li class="none">
                          <a href="../../dev-docs.html" title="Developer documents">Developer documents</a>
            </li>
                  <li class="none">
                          <a href="http://wiki.apache.org/HttpComponents/" class="externalLink" title="Wiki (external)">Wiki (external)</a>
            </li>
                  <li class="none">
                          <a href="http://www.apache.org/security/" class="externalLink" title="Security">Security</a>
            </li>
          </ul>
                       <h5>HttpAsyncClient Overview</h5>
                  <ul>
                  <li class="none">
                          <a href="../index.html" title="Description">Description</a>
            </li>
                  <li class="none">
                          <a href="../examples.html" title="Examples">Examples</a>
            </li>
          </ul>
                                 <h5>Project Documentation</h5>
                  <ul>
                                                                                                                                    <li class="expanded">
                          <a href="project-info.html" title="Project Information">Project Information</a>
                    <ul>
                      <li class="none">
            <strong>Dependencies</strong>
          </li>
                      <li class="none">
                          <a href="issue-tracking.html" title="Issue Tracking">Issue Tracking</a>
            </li>
                      <li class="none">
                          <a href="team-list.html" title="Project Team">Project Team</a>
            </li>
                      <li class="none">
                          <a href="source-repository.html" title="Source Repository">Source Repository</a>
            </li>
              </ul>
        </li>
                                                                                                                                            <li class="collapsed">
                          <a href="project-reports.html" title="Project Reports">Project Reports</a>
                  </li>
          </ul>
                       <h5>ASF</h5>
                  <ul>
                  <li class="none">
                          <a href="http://www.apache.org" class="externalLink" title="ASF Home Page">ASF Home Page</a>
            </li>
                  <li class="none">
                          <a href="http://www.apache.org/foundation/" class="externalLink" title="Foundation">Foundation</a>
            </li>
                  <li class="none">
                          <a href="http://www.apache.org/foundation/sponsorship.html" class="externalLink" title="Sponsor Apache">Sponsor Apache</a>
            </li>
                  <li class="none">
                          <a href="http://www.apache.org/foundation/thanks.html" class="externalLink" title="Thanks">Thanks</a>
            </li>
          </ul>
                                                                                                                   <a href="http://www.apache.org/events/current-event.html" title="ApacheCon" class="poweredBy">
        <img class="poweredBy"  alt="ApacheCon" src="http://www.apache.org/events/current-event-125x125.png"    />
      </a>
                                                                                                    <a href="http://maven.apache.org/" title="Maven" class="poweredBy">
        <img class="poweredBy"  alt="Maven" src="http://maven.apache.org/images/logos/maven-feather.png"    />
      </a>
                       
        
            </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
        <a name="Project_Dependencies"></a><div class="section"><h2>Project Dependencies<a name="Project_Dependencies"></a></h2><a name="Project_Dependencies_compile"></a><div class="section"><h3>compile<a name="compile"></a></h3><p>The following is a list of compile dependencies for this project. These dependencies are required to compile and run the application:</p><table border="0" class="bodyTable"><tr class="a"><th>GroupId</th><th>ArtifactId</th><th>Version</th><th>Type</th><th>License</th></tr><tr class="b"><td>commons-logging</td><td><a class="externalLink" href="http://commons.apache.org/logging">commons-logging</a></td><td>1.1.1</td><td>jar</td><td><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></td></tr><tr class="a"><td>org.apache.httpcomponents</td><td><a class="externalLink" href="http://hc.apache.org/httpcomponents-client">httpclient</a></td><td>4.2.1</td><td>jar</td><td>LICENSE.txt</td></tr><tr class="b"><td>org.apache.httpcomponents</td><td><a class="externalLink" href="http://hc.apache.org/httpcomponents-core-ga">httpcore</a></td><td>4.2.2</td><td>jar</td><td>LICENSE.txt</td></tr><tr class="a"><td>org.apache.httpcomponents</td><td><a class="externalLink" href="http://hc.apache.org/httpcomponents-core-ga">httpcore-nio</a></td><td>4.2.2</td><td>jar</td><td>LICENSE.txt</td></tr></table></div><a name="Project_Dependencies_test"></a><div class="section"><h3>test<a name="test"></a></h3><p>The following is a list of test dependencies for this project. These dependencies are only required to compile and run unit tests for the application:</p><table border="0" class="bodyTable"><tr class="a"><th>GroupId</th><th>ArtifactId</th><th>Version</th><th>Type</th><th>License</th></tr><tr class="b"><td>commons-io</td><td><a class="externalLink" href="http://commons.apache.org/io/">commons-io</a></td><td>2.2</td><td>jar</td><td><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></td></tr><tr class="a"><td>junit</td><td><a class="externalLink" href="http://junit.org">junit</a></td><td>4.8.1</td><td>jar</td><td><a class="externalLink" href="http://www.opensource.org/licenses/cpl1.0.txt">Common Public License Version 1.0</a></td></tr><tr class="b"><td>org.mockito</td><td><a class="externalLink" href="http://www.mockito.org">mockito-core</a></td><td>1.8.5</td><td>jar</td><td><a class="externalLink" href="http://code.google.com/p/mockito/wiki/License">The MIT License</a></td></tr></table></div></div><a name="Project_Transitive_Dependencies"></a><div class="section"><h2>Project Transitive Dependencies<a name="Project_Transitive_Dependencies"></a></h2><p>The following is a list of transitive dependencies for this project. Transitive dependencies are the dependencies of the project dependencies.</p><a name="Project_Transitive_Dependencies_compile"></a><div class="section"><h3>compile<a name="compile"></a></h3><p>The following is a list of compile dependencies for this project. These dependencies are required to compile and run the application:</p><table border="0" class="bodyTable"><tr class="a"><th>GroupId</th><th>ArtifactId</th><th>Version</th><th>Type</th><th>License</th></tr><tr class="b"><td>commons-codec</td><td><a class="externalLink" href="http://commons.apache.org/codec/">commons-codec</a></td><td>1.6</td><td>jar</td><td><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></td></tr></table></div><a name="Project_Transitive_Dependencies_test"></a><div class="section"><h3>test<a name="test"></a></h3><p>The following is a list of test dependencies for this project. These dependencies are only required to compile and run unit tests for the application:</p><table border="0" class="bodyTable"><tr class="a"><th>GroupId</th><th>ArtifactId</th><th>Version</th><th>Type</th><th>License</th></tr><tr class="b"><td>org.hamcrest</td><td>hamcrest-core</td><td>1.1</td><td>jar</td><td><a class="externalLink" href="http://www.opensource.org/licenses/bsd-license.php">BSD style</a></td></tr><tr class="a"><td>org.objenesis</td><td><a class="externalLink" href="http://objenesis.googlecode.com/svn/docs/index.html">objenesis</a></td><td>1.0</td><td>jar</td><td><a class="externalLink" href="http://objenesis.googlecode.com/svn/docs/license.html">MIT License</a></td></tr></table></div></div><a name="Project_Dependency_Graph"></a><div class="section"><h2>Project Dependency Graph<a name="Project_Dependency_Graph"></a></h2><script language="javascript" type="text/javascript">
      function toggleDependencyDetail( divId, imgId )
      {
        var div = document.getElementById( divId );
        var img = document.getElementById( imgId );
        if( div.style.display == '' )
        {
          div.style.display = 'none';
          img.src='./images/icon_info_sml.gif';
        }
        else
        {
          div.style.display = '';
          img.src='./images/close.gif';
        }
      }
</script>
<a name="Dependency_Tree"></a><div class="section"><h3>Dependency Tree<a name="Dependency_Tree"></a></h3><ul><li>org.apache.httpcomponents:httpasyncclient:jar:4.0-beta3 <img id="_1220324410" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_25861472', '_1220324410' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_25861472" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>HttpAsyncClient</th></tr><tr class="b"><td><p><b>Description: </b>HttpComponents AsyncClient (base module)</p><p><b>URL: </b><a class="externalLink" href="http://hc.apache.org/httpcomponents-asyncclient">http://hc.apache.org/httpcomponents-asyncclient</a></p><p><b>Project License: </b><a href="LICENSE.txt">Apache License</a></p></td></tr></table></div><ul><li>org.apache.httpcomponents:httpcore:jar:4.2.2 (compile) <img id="_67544068" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_1482457205', '_67544068' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_1482457205" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>HttpCore</th></tr><tr class="b"><td><p><b>Description: </b>HttpComponents Core (blocking I/O)</p><p><b>URL: </b><a class="externalLink" href="http://hc.apache.org/httpcomponents-core-ga">http://hc.apache.org/httpcomponents-core-ga</a></p><p><b>Project License: </b><a href="LICENSE.txt">Apache License</a></p></td></tr></table></div></li><li>org.apache.httpcomponents:httpcore-nio:jar:4.2.2 (compile) <img id="_1642903573" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_1980332916', '_1642903573' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_1980332916" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>HttpCore NIO</th></tr><tr class="b"><td><p><b>Description: </b>HttpComponents Core (non-blocking I/O)</p><p><b>URL: </b><a class="externalLink" href="http://hc.apache.org/httpcomponents-core-ga">http://hc.apache.org/httpcomponents-core-ga</a></p><p><b>Project License: </b><a href="LICENSE.txt">Apache License</a></p></td></tr></table></div><ul><li>org.apache.httpcomponents:httpcore:jar:4.2.2 (compile) <img id="_667405652" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_1452137615', '_667405652' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_1452137615" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>HttpCore</th></tr><tr class="b"><td><p><b>Description: </b>HttpComponents Core (blocking I/O)</p><p><b>URL: </b><a class="externalLink" href="http://hc.apache.org/httpcomponents-core-ga">http://hc.apache.org/httpcomponents-core-ga</a></p><p><b>Project License: </b><a href="LICENSE.txt">Apache License</a></p></td></tr></table></div></li></ul></li><li>org.apache.httpcomponents:httpclient:jar:4.2.1 (compile) <img id="_590351126" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_1802916641', '_590351126' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_1802916641" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>HttpClient</th></tr><tr class="b"><td><p><b>Description: </b>HttpComponents Client (base module)</p><p><b>URL: </b><a class="externalLink" href="http://hc.apache.org/httpcomponents-client">http://hc.apache.org/httpcomponents-client</a></p><p><b>Project License: </b><a href="LICENSE.txt">Apache License</a></p></td></tr></table></div><ul><li>org.apache.httpcomponents:httpcore:jar:4.2.2 (compile) <img id="_2082946341" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_2016052727', '_2082946341' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_2016052727" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>HttpCore</th></tr><tr class="b"><td><p><b>Description: </b>HttpComponents Core (blocking I/O)</p><p><b>URL: </b><a class="externalLink" href="http://hc.apache.org/httpcomponents-core-ga">http://hc.apache.org/httpcomponents-core-ga</a></p><p><b>Project License: </b><a href="LICENSE.txt">Apache License</a></p></td></tr></table></div></li><li>commons-logging:commons-logging:jar:1.1.1 (compile) <img id="_1734442765" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_1043168872', '_1734442765' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_1043168872" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>Commons Logging</th></tr><tr class="b"><td><p><b>Description: </b>Commons Logging is a thin adapter allowing configurable bridging to other,
    well known logging systems.</p><p><b>URL: </b><a class="externalLink" href="http://commons.apache.org/logging">http://commons.apache.org/logging</a></p><p><b>Project License: </b><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></p></td></tr></table></div></li><li>commons-codec:commons-codec:jar:1.6 (compile) <img id="_279772634" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_1116635964', '_279772634' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_1116635964" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>Commons Codec</th></tr><tr class="b"><td><p><b>Description: </b>The codec package contains simple encoder and decoders for
     various formats such as Base64 and Hexadecimal.  In addition to these
     widely used encoders and decoders, the codec package also maintains a
     collection of phonetic encoding utilities.</p><p><b>URL: </b><a class="externalLink" href="http://commons.apache.org/codec/">http://commons.apache.org/codec/</a></p><p><b>Project License: </b><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></p></td></tr></table></div></li></ul></li><li>commons-logging:commons-logging:jar:1.1.1 (compile) <img id="_604819812" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_2046874383', '_604819812' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_2046874383" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>Commons Logging</th></tr><tr class="b"><td><p><b>Description: </b>Commons Logging is a thin adapter allowing configurable bridging to other,
    well known logging systems.</p><p><b>URL: </b><a class="externalLink" href="http://commons.apache.org/logging">http://commons.apache.org/logging</a></p><p><b>Project License: </b><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></p></td></tr></table></div></li><li>junit:junit:jar:4.8.1 (test) <img id="_681165376" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_449465019', '_681165376' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_449465019" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>JUnit</th></tr><tr class="b"><td><p><b>Description: </b>JUnit is a regression testing framework written by Erich Gamma and Kent Beck. It is used by the developer who implements unit tests in Java.</p><p><b>URL: </b><a class="externalLink" href="http://junit.org">http://junit.org</a></p><p><b>Project License: </b><a class="externalLink" href="http://www.opensource.org/licenses/cpl1.0.txt">Common Public License Version 1.0</a></p></td></tr></table></div></li><li>commons-io:commons-io:jar:2.2 (test) <img id="_887012581" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_533662807', '_887012581' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_533662807" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>Commons IO</th></tr><tr class="b"><td><p><b>Description: </b>The Commons IO library contains utility classes, stream implementations, file filters, 
file comparators, endian transformation classes, and much more.</p><p><b>URL: </b><a class="externalLink" href="http://commons.apache.org/io/">http://commons.apache.org/io/</a></p><p><b>Project License: </b><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></p></td></tr></table></div></li><li>org.mockito:mockito-core:jar:1.8.5 (test) <img id="_876700921" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_122880110', '_876700921' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_122880110" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>Mockito</th></tr><tr class="b"><td><p><b>Description: </b>Mock objects library for java</p><p><b>URL: </b><a class="externalLink" href="http://www.mockito.org">http://www.mockito.org</a></p><p><b>Project License: </b><a class="externalLink" href="http://code.google.com/p/mockito/wiki/License">The MIT License</a></p></td></tr></table></div><ul><li>org.hamcrest:hamcrest-core:jar:1.1 (test) <img id="_1222579580" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_100117795', '_1222579580' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_100117795" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>Hamcrest Core</th></tr><tr class="b"><td><p><b>Description: </b>There is currently no description associated with this project.</p><p><b>Project License: </b><a class="externalLink" href="http://www.opensource.org/licenses/bsd-license.php">BSD style</a></p></td></tr></table></div></li><li>org.objenesis:objenesis:jar:1.0 (test) <img id="_1584065970" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_522701737', '_1584065970' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_522701737" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>Objenesis</th></tr><tr class="b"><td><p><b>Description: </b>A library for instantiating Java objects</p><p><b>URL: </b><a class="externalLink" href="http://objenesis.googlecode.com/svn/docs/index.html">http://objenesis.googlecode.com/svn/docs/index.html</a></p><p><b>Project License: </b><a class="externalLink" href="http://objenesis.googlecode.com/svn/docs/license.html">MIT License</a></p></td></tr></table></div></li></ul></li></ul></li></ul></div></div><a name="Licenses"></a><div class="section"><h2>Licenses<a name="Licenses"></a></h2><p><b>BSD style: </b>Hamcrest Core</p><p><b>Apache License: </b>HttpAsyncClient, HttpClient, HttpCore, HttpCore NIO</p><p><b>Common Public License Version 1.0: </b>JUnit</p><p><b>MIT License: </b>Objenesis</p><p><b>The Apache Software License, Version 2.0: </b>Commons Codec, Commons IO, Commons Logging</p><p><b>The MIT License: </b>Mockito</p></div><a name="Dependency_File_Details"></a><div class="section"><h2>Dependency File Details<a name="Dependency_File_Details"></a></h2><table border="0" class="bodyTable"><tr class="a"><th>Filename</th><th>Size</th><th>Entries</th><th>Classes</th><th>Packages</th><th>JDK Rev</th><th>Debug</th></tr><tr class="b"><td>commons-codec-1.6.jar</td><td>227.32 kB</td><td>218</td><td>76</td><td>6</td><td>1.5</td><td>debug</td></tr><tr class="a"><td>commons-io-2.2.jar</td><td>169.52 kB</td><td>126</td><td>108</td><td>6</td><td>1.5</td><td>debug</td></tr><tr class="b"><td>commons-logging-1.1.1.jar</td><td>59.26 kB</td><td>42</td><td>28</td><td>2</td><td>1.1</td><td>debug</td></tr><tr class="a"><td>junit-4.8.1.jar</td><td>231.49 kB</td><td>267</td><td>230</td><td>30</td><td>1.5</td><td>debug</td></tr><tr class="b"><td>httpclient-4.2.1.jar</td><td>417.01 kB</td><td>356</td><td>321</td><td>21</td><td>1.5</td><td>debug</td></tr><tr class="a"><td>httpcore-4.2.2.jar</td><td>218.33 kB</td><td>216</td><td>190</td><td>14</td><td>1.5</td><td>debug</td></tr><tr class="b"><td>httpcore-nio-4.2.2.jar</td><td>278.90 kB</td><td>230</td><td>203</td><td>13</td><td>1.5</td><td>debug</td></tr><tr class="a"><td>hamcrest-core-1.1.jar</td><td>74.85 kB</td><td>54</td><td>21</td><td>3</td><td>1.5</td><td>debug</td></tr><tr class="b"><td>mockito-core-1.8.5.jar</td><td>1.28 MB</td><td>1,102</td><td>567</td><td>52</td><td>1.5</td><td>debug</td></tr><tr class="a"><td>objenesis-1.0.jar</td><td>27.90 kB</td><td>45</td><td>30</td><td>7</td><td>1.3</td><td>debug</td></tr><tr class="b"><th>Total</th><th>Size</th><th>Entries</th><th>Classes</th><th>Packages</th><th>JDK Rev</th><th>Debug</th></tr><tr class="a"><td>10</td><td>2.94 MB</td><td>2,656</td><td>1,774</td><td>154</td><td>1.5</td><td>10</td></tr><tr class="b"><td>compile: 5</td><td>compile: 1.17 MB</td><td>compile: 1,062</td><td>compile: 818</td><td>compile: 56</td><td>-</td><td>compile: 5</td></tr><tr class="a"><td>test: 5</td><td>test: 1.77 MB</td><td>test: 1,594</td><td>test: 956</td><td>test: 98</td><td>-</td><td>test: 5</td></tr></table></div><a name="Dependency_Repository_Locations"></a><div class="section"><h2>Dependency Repository Locations<a name="Dependency_Repository_Locations"></a></h2><table border="0" class="bodyTable"><tr class="a"><th>Repo ID</th><th>URL</th><th>Release</th><th>Snapshot</th></tr><tr class="b"><td>apache.snapshots</td><td><a class="externalLink" href="http://repository.apache.org/snapshots">http://repository.apache.org/snapshots</a></td><td>-</td><td>Yes</td><td>-</td></tr><tr class="a"><td>spy</td><td><a class="externalLink" href="http://files.couchbase.com/maven2/">http://files.couchbase.com/maven2/</a></td><td>Yes</td><td>-</td><td>-</td></tr><tr class="b"><td>central</td><td><a class="externalLink" href="http://repo1.maven.org/maven2">http://repo1.maven.org/maven2</a></td><td>Yes</td><td>-</td><td>-</td></tr></table><p>Repository locations for each of the Dependencies.</p><table border="0" class="bodyTable"><tr class="a"><th>Artifact</th><th>apache.snapshots</th><th>spy</th><th>central</th></tr><tr class="b"><td>commons-codec:commons-codec:jar:1.6</td><td>-</td><td>-</td><td><a class="externalLink" href="http://repo1.maven.org/maven2/commons-codec/commons-codec/1.6/commons-codec-1.6.jar"><img alt="Found at http://repo1.maven.org/maven2" src="images/icon_success_sml.gif" /></a></td></tr><tr class="a"><td>commons-io:commons-io:jar:2.2</td><td>-</td><td>-</td><td><a class="externalLink" href="http://repo1.maven.org/maven2/commons-io/commons-io/2.2/commons-io-2.2.jar"><img alt="Found at http://repo1.maven.org/maven2" src="images/icon_success_sml.gif" /></a></td></tr><tr class="b"><td>commons-logging:commons-logging:jar:1.1.1</td><td>-</td><td>-</td><td><a class="externalLink" href="http://repo1.maven.org/maven2/commons-logging/commons-logging/1.1.1/commons-logging-1.1.1.jar"><img alt="Found at http://repo1.maven.org/maven2" src="images/icon_success_sml.gif" /></a></td></tr><tr class="a"><td>junit:junit:jar:4.8.1</td><td>-</td><td>-</td><td><a class="externalLink" href="http://repo1.maven.org/maven2/junit/junit/4.8.1/junit-4.8.1.jar"><img alt="Found at http://repo1.maven.org/maven2" src="images/icon_success_sml.gif" /></a></td></tr><tr class="b"><td>org.apache.httpcomponents:httpclient:jar:4.2.1</td><td>-</td><td>-</td><td><a class="externalLink" href="http://repo1.maven.org/maven2/org/apache/httpcomponents/httpclient/4.2.1/httpclient-4.2.1.jar"><img alt="Found at http://repo1.maven.org/maven2" src="images/icon_success_sml.gif" /></a></td></tr><tr class="a"><td>org.apache.httpcomponents:httpcore:jar:4.2.2</td><td>-</td><td>-</td><td><a class="externalLink" href="http://repo1.maven.org/maven2/org/apache/httpcomponents/httpcore/4.2.2/httpcore-4.2.2.jar"><img alt="Found at http://repo1.maven.org/maven2" src="images/icon_success_sml.gif" /></a></td></tr><tr class="b"><td>org.apache.httpcomponents:httpcore-nio:jar:4.2.2</td><td>-</td><td>-</td><td><a class="externalLink" href="http://repo1.maven.org/maven2/org/apache/httpcomponents/httpcore-nio/4.2.2/httpcore-nio-4.2.2.jar"><img alt="Found at http://repo1.maven.org/maven2" src="images/icon_success_sml.gif" /></a></td></tr><tr class="a"><td>org.hamcrest:hamcrest-core:jar:1.1</td><td>-</td><td>-</td><td><a class="externalLink" href="http://repo1.maven.org/maven2/org/hamcrest/hamcrest-core/1.1/hamcrest-core-1.1.jar"><img alt="Found at http://repo1.maven.org/maven2" src="images/icon_success_sml.gif" /></a></td></tr><tr class="b"><td>org.mockito:mockito-core:jar:1.8.5</td><td>-</td><td>-</td><td><a class="externalLink" href="http://repo1.maven.org/maven2/org/mockito/mockito-core/1.8.5/mockito-core-1.8.5.jar"><img alt="Found at http://repo1.maven.org/maven2" src="images/icon_success_sml.gif" /></a></td></tr><tr class="a"><td>org.objenesis:objenesis:jar:1.0</td><td>-</td><td>-</td><td><a class="externalLink" href="http://repo1.maven.org/maven2/org/objenesis/objenesis/1.0/objenesis-1.0.jar"><img alt="Found at http://repo1.maven.org/maven2" src="images/icon_success_sml.gif" /></a></td></tr><tr class="b"><th>Total</th><th>apache.snapshots</th><th>spy</th><th>central</th></tr><tr class="a"><td>10 (compile: 5, test: 5)</td><td>0</td><td>0</td><td>10</td></tr></table></div>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
                      
<div class="xleft">Apache HttpComponents, Commons HttpClient, Apache, the Apache feather logo, and the Apache HttpComponents project logo are trademarks of The Apache Software Foundation.</div>
            
<br/>
            
<div class="xleft">All other marks mentioned may be trademarks or registered trademarks of their respective owners.</div>
                <div class="xright">Copyright &#169;                    2010-2012
                        <a href="http://www.apache.org/">The Apache Software Foundation</a>.
            All Rights Reserved.      
        
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
